Please upgrade here. These earlier versions are no longer being updated and have security issues.

Vanilla Porter 2.2 export fails - Error: (2) array_pop() expects parameter 1 to be array, boolean gi

This discussion is related to the Vanilla Porter addon.

Hi all,
I'm a newbie on Vanilla and forums in general.
I'm trying to export a phpbb3 mysql database in Vanilla (I backupped it from GUI in phpbb3) using vanilla2export.php (Vanilla Porter 2.2) and when I choose "All supported data" from "Export type" I get:

Error: (2) array_pop() expects parameter 1 to be array, boolean given

but if I choose "Only users and roles" it works fine and I'm able to import all the users properly.

Unfortunately I can't understand which is the involved file for that Error, there is no information about it.

I'm using CentOS:
Vanilla Version 2.1.11
mysql-server-5.1.73-5.el6_6.x86_64
php-mysql-5.3.3-46.el6_6.x86_64

I'm trying to import from phpbb3 version 3.0.7-PL1 (Database server: MySQL 5.5.42-cll)

Thanks a lot in advance for any replies!

Regards,
Francesco

Comments

  • Ok, I got it.
    I had to use root and not the db user I created, it works!
    Thanks

    peregrinehgtonight
Sign In or Register to comment.